# includeFlat

open fun includeFlat(projectNames: Array<String>)

Adds the given projects to the build. Each name in the supplied list is treated as the name of a project to add to the build.

The supplied name is converted to a project directory relative to the parent directory of the root project directory.

As an example, the name `a` add a project with path `:a`, name `a` and project directory `$rootDir/../a`.

#### Parameters

projectNames

the projects to add.

abstract fun includeFlat(projectNames: Iterable<String>)

Adds the given projects to the build. Each name in the supplied list is treated as the name of a project to add to the build.

The supplied name is converted to a project directory relative to the parent directory of the root project directory.

As an example, the name `a` add a project with path `:a`, name `a` and project directory `$rootDir/../a`.

#### Since

7.4

#### Parameters

projectNames

the projects to add.